import request from '@/utils/request'
	
/**
 * @Descripttion: 表情包分类Api接口
 * @version: (1.0)
 * @Author: (lwh)
 * @Date: (2023-10-28)
 * @LastEditors: (lwh)
 * @LastEditTime: (2023-10-28)
*/

/**
* 表情包分类树形查询列表
* @param {查询条件} data
*/
export function emotionCategoryTreeList(query) {
  return request({
    url: '/business/EmotionCategory/getEmotionCategoryTreeList',
    method: 'get',
    params: query
  })
}

// 表情包分类新增或修改
export function addOrUpdateEmotionCategory(data) {
  return request({
    url: '/business/EmotionCategory/addOrUpdateEmotionCategory',
    method: 'post',
    data: data,
  })
}

// 表情包分类删除
export function delEmotionCategory(ids) {
  return request({
    url: '/business/EmotionCategory/'+ ids,
    method: 'delete'
  })
}

// 表情包分类导出
export function exportEmotionCategory(query) {
  return request({
    url: 'business/EmotionCategory/exportEmotionCategory',
    method: 'get',
    params: query
  })
}

